<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/formatting"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">

  <xsl:template name="coll-description">
    <xsl:variable name="numDocs" select="/page/pageResponse/collection/metadataList/metadata[@name='numDocs']"/>
    
    <h1>Archaeological PDF Reports Digital Library</h1>
    <p>
      Heritage New Zealand holds an extensive collection of
      archaeological reports resulting from site surveys, excavations,
      research programmes and archaeological authorities.  The digital
      library provides searching and browsing access to these
<!--
      <gsf:metadata type="collection" name="numDocs"/> 
-->
      <xsl:value-of select="$numDocs"/>
      volumes, which date from the
      early 1970s to the present day.
    </p>
    
    <figure class="">
      <img src="http://www.heritage.org.nz/-/media/heritage/images/protect/archaeology/digital-library-page.jpg?useCustomFunctions=1&amp;mw=920" width="220" alt="Archaeological digital library" />
    </figure>
    
    <p>
      Should you prefer, you may contact us as follows:
    </p>
    <p>
      <i style="padding-left: 20px">
	Archaeological Digital Library<br/>
	Heritage New Zealand<br/>
	National Office<br/>
	P O Box 2629<br/>
	Wellington 6140
      </i>
    </p>
    <p>tel: (04) 472 4341</p>
    
    
  </xsl:template>

</xsl:stylesheet>  

